YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

0
votes
2answers
20 views

nodejs version on EPEL repository

Current stable node.js version is v0.12.2. I just run yum update on my machine and it updated node to v0.10.36. Why is my EPEL repo version so old compared to current stable one? Can I update node to ...
0
votes
1answer
2k views

Unable to install phpMyAdmin via yum (remi)

I'm trying to install phpMyAdmin via remi and it seems like it's missing php-php-gettext: # yum --enablerepo=remi install phpMyAdmin Loaded plugins: amazon-id, rhui-lb Resolving Dependencies --> ...
0
votes
2answers
9 views

CentOS 6 donwgrade RPMForge packages

I have a CentOS 6.6 server, and I tried some packages from rpmforge and rpmforge and extras. I did a yum update with those repos enabled and got a lot of stuff updated. Now I want to go backwards and ...
3
votes
5answers
5k views

RHEL 6.x - yum gives “ImportError: No module named cElementTree” errors

I'm making a set of changes to a group of 150 servers. All systems were able to successfully download and install a specific set of RPM's via yum, except for one. One this particular system, all yum ...
4
votes
3answers
10k views

Upgrade cURL to latest on CentOS

I need to upgrade cURL to the latest version on Centos 2.6.18-164.15.1.el5.centos.plusxen #1 SMP Wed Mar 17 20:32:20 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux I'm unable to find any suitable ...
2
votes
3answers
1k views

How can I get the git-all meta package on RHEL 6.2

I believe I'm missing some of the common git addons, such as gitk, and I suspect it is because I installed git using sudo yum install git as the information for that package lists: : The ...
-5
votes
0answers
26 views

unable to update yum on CentOS 6.6 [closed]

suddenly getting issue at my VM machine. need your help to get it sorted out. $ yum -y update Loaded plugins: fastestmirror, refresh-packagekit, security Setting up Update Process Loading mirror ...
1
vote
3answers
2k views

How do I install Python 2.7.4 OR 3.3.1 on an Amazon AMI?

I have an EC2 instance running a standard AMI, and have exhausted the limit of my abilities with yum and similar avenues to update python to 2.7.4 or 3.3.1 for a library I need to use. Unfortunately, ...
0
votes
1answer
942 views

Installing mysql-devel to match MySQL version

I'm running MySQL 5.1.52 on CentOS 4.6 and I'm trying to install mysql-devel to match my MySQL version. If I do yum install mysql-devel it wants to upgrade MySQL to 5.1.58, yet if I do yum search ...
0
votes
0answers
10 views

yum Error:rpmdb open failed [migrated]

I'm trying to run yum update and I'm running this error: rpmdb: PANIC: fatal region error detected; run recovery error: db3 error(-30974) from dbenv->open: DB_RUNRECOVERY: Fatal error, run ...
0
votes
1answer
2k views

RHEL 6.6: [Errno 14] PYCURL ERROR 22 - “The requested URL returned error: 403 Forbidden”

First of all, it's the first time I setup RHEL machines, I'm more used to Debian. We're installing many machine at the same time. We've upgraded from RHEL 6.3 to RHEL 6.6 and we're now trying to ...
1
vote
0answers
13 views

Library Dependency is different when checked via yum vs. rpm

I'm new here and am debugging something I've never seen before, so I'm hoping someone can show me where I'm going wrong. I've created a local yum repo for all my servers. The idea is to distribute ...
0
votes
1answer
20 views

Yum is not working on Amazon instances

Yum is failing on some of my amazon instances, I tried to followup with the amazon guys but not able to get it fixed yet. Below is the error,python and yum version info: [root@myhost_test.cache]# yum ...
23
votes
3answers
19k views

What does that mean: packages excluded due to repository priority protections

When updating with yum i recieve the following message: yum update Loaded plugins: fastestmirror, priorities Loading mirror speeds from cached hostfile * atomic: www7.atomicorp.com * base: ...
0
votes
1answer
100 views

Yum Cache Service

I have a LAN where I currently use an instance of Sonatype Nexus to proxy several yum repositories. All the clients on the LAN are configured to install packages only from this service. The only ...
-1
votes
1answer
23 views

amazon ec2 linux redhat server install unar package

I'm just trying to install unar package for the purpose of uncompress compressed files. What I've tried is sudo yum install unar But it shows "No package unar available". I googled and downloaded ...
0
votes
2answers
1k views

Unable to load dynamic library '/usr/lib64/php/modules/ssh2.so' [closed]

When I try to run any php script with my user within shell, I get the following warning: PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/ssh2.so' - ...
9
votes
1answer
644 views

Redhat 7 desktop to workstation

I installed a RedHat out of an installation cd, registered my entitlements, all that stuff. As part of my subscriptions I have both Red Hat Enterprise Linux Workstation and Red Hat Enterprise Linux ...
0
votes
2answers
8k views

How to fix “Cannot retrieve repository metadata (repomd.xml)” in CentOS?

I've tried yum update yum and yum clean all, but neither help to resolve the following problem: # yum install httpd --installroot=/opt/httpd2 Loaded plugins: fastestmirror Loading mirror speeds from ...
3
votes
3answers
2k views

RHEL 6.3 Upgrading OpenSSH & Apache

We just ran an external security scan from 403Labs against one of our servers (RHEL 6.3 x86_64) for PCI compliance and the results appeared to mainly dictate that we had a hand full of applications ...
1
vote
2answers
2k views

Install Tomcat7 on EC2

I'm trying to install Tomcat7 on an Amazon EC2 instance, but it doesn't work. Below is the console output: [ec2-user@ip-XXX ~]$ sudo yum install tomcat7 Loaded plugins: amazon-id, rhui-lb, security ...
0
votes
1answer
133 views

Upgrade apache 2.4.6 to 2.4.12 on CentOS [duplicate]

We have following server details and we need to upgrade apache 2.4.6 to apache 2.4.12 OS: CentOS 6 Apache : 2.4.6 PHP : 5.5 I know how to install 2.4.12 from scratch but i just want to upgrade ...
0
votes
2answers
26 views

RHEL5 - Can't update packages because of i386 rpm conflicting with x86_64 rpm

When trying to run yum update, I receive the following errors: Downloading Packages: Running rpm_check_debug Running Transaction Test Finished Transaction Test Transaction Check Error: file ...
-1
votes
4answers
2k views

yum won't update my glibc packages

Is there any way to fix corrupted "yum"? This is what I got myself into by accidentally pressing ctrl+c while doing sudo yum update on an amazon linux EC2 instance $ sudo yum update Loaded plugins: ...
0
votes
0answers
24 views

Solved but Confused: Fedora 19 to 20 - “Protected multilib versions: chkconfig”

Initial Problem When upgrading from Fedora 19 to 20 using this command: yum --releasever=20 --setopt=deltarpm=0 distro-sync I get the following error Error: Multilib version problems found. This ...
2
votes
2answers
1k views

Yum repo priorities and conflicts

On my CentOS 6.4 server, I am running MySQL 5.5.33 that I installed from the remi repository. I decided to upgrade MySQL to 5.6.x via MySQL's own yum repositories: ...
12
votes
2answers
14k views

tell yum to ignore a single dependency

I'm trying to install winswitch on CentOs 6. It requires 'nxagent'. But in centos, the package name is 'nx'. Is there a way to tell yum to skip checking the 'nxagent' dependency (i installed 'nx' ...
0
votes
0answers
22 views

yum list available - not showing all packages

I have a strange problem with yum, working on one server and not working on another server that should be identical. The symptom is that after running createrepo on a directory containing RPMs (and ...
0
votes
1answer
52 views

Cannot install Varnish 3.x on CentOs 7

I have a freshly installed Centos7 and I wish to install Varnish 3.0; according with https://www.varnish-cache.org/installation/redhat I have installed the repo varnish-3.0.el6.rpm but ... ...
0
votes
0answers
51 views

Broke Fedora after accidentally cancelled yum update

tl;dr: I ran yum update -y, then halfway a huge update (1.1GB) accidentally hit ctrl+C mid-way. This broke everything. I tried: 500 yum check all 501 package-cleanup --problems 502 ...
0
votes
1answer
4k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
2
votes
2answers
45 views

How to disable yum repositories not managed by puppet

Trying to bring a very ad-hoc environment into a more standardized and managed state. In my use-case, I'd like to disable all non-Red Hat repositories (provided by the subscription-manager plugin). ...
0
votes
1answer
3k views

Elastix Upgrade fails CentOS yum missing dependency with libwat, libgsmat, and libss7

I upgraded a year old vanilla Elastix box using yum update and yum upgrade. Almost 400 packages updated but a few of them failed, including asterisk. At present the switchboard is working but I can't ...
1
vote
1answer
884 views

“yum clean” hangs - what to try next?

I run a number of CentOS servers. I was recently doing the occasional yum update but this failed on a handful of the servers. On most I have been able to move forward by doing: # yum clean all # rm ...
1
vote
0answers
32 views

Cannot install mysql server - Error in PREIN scriptlet in rpm package mysql55-mysql-server-5.5.32-3.el5.x86_64

I am trying to install mysql server 5.5 (or any 5.x versions) on Redhat 5.5 and am having some trouble. I can install the other mysql components but when I try to install mysql-server (or ...
1
vote
1answer
1k views

Yum install error (mysql-devel) depsolve

I get the following error on yum install mysql-devel. Can anyone help? I dont have this in my /etc/yum.conf exclude list. --> Finished Dependency Resolution mysql-server-5.0.45-7.el5.x86_64 from ...
1
vote
1answer
31 views

Server registered via RHSM to a Satellite Server can't load any of its assigned repositorys

One of my Redhat servers can't see any repositorys after registering with our Satellite server. I do have to say this Satellite server is newly setup and the newest Version -> Satellite Server 6 on ...
0
votes
2answers
2k views

How to install MariaDB rpms in CentOS 6.4 using rpm (not yum cmd) + handling mysql-libs conflicts

I need to script the install of MariaDB using the rpm command in CentOS 6.4. I can't use yum since it's going to be an offline install so there's no access to the repository. The only MySQL package ...
0
votes
1answer
23 views

RPM Repo: Clone just Source packages

As part of a project, I need to rebuild source RPMs from the really convenient Remi Yum repo(Source RPMS). The search for some way to efficiently get those packages was not a very successful ...
-1
votes
1answer
28 views

Installing a Newer Package than what's in RHEL's Repositories

What's the best way in RHEL to install a newer version of a package than what's in the repositories? In Ubuntu I can just add the repo for a newer version of Ubuntu, install the package with apt, ...
1
vote
2answers
3k views

How to fix yum error: No module named CElementTree?

I've the following problem with yum: $ yum There was a problem importing one of the Python modules required to run yum. The error leading to this problem was: No module named cElementTree Please ...
1
vote
1answer
2k views

Trying to remove packages with yum, however it is failing?

Trying to uninstall zarafa mail server. I use yum list installed to view the already isntalled packages. After which I use yum erase zarafa* It picks up all the packages but returns: Error in ...
4
votes
1answer
64 views

How to get transaction history for yum?

I would like to know how to get the transaction history of yum (i.e. get the installations, deletions, etc.), hopefully ordered from most to least recent. Is there a way to accomplish this?
1
vote
0answers
40 views

Getting a specific CentOS base image with mkimage-yum.sh

Docker's mkimage-yum.sh does indeed work (awesome little script) but it pulls 6.6 (the latest with updates). I was wondering if it's possible to specify 6.5. I believe I can use yum.conf but the yum ...
0
votes
1answer
205 views

Upgrading to PHP 5.6.7 using remi repos

I have PHP 5.6 enabled in my remi.repo file and none of the other sections are enabled the only other section enabled is [remi] itself. [remi] name=Les RPM de remi pour Enterprise Linux 6 - $basearch ...
0
votes
1answer
55 views

RPM or YUM equivalent of apt-get install libgraphicsmagick1-dev

I was using Ubuntu for development and one of the dependencies needs apt-get libgraphicsmagick1-dev now I need to deploy to a AWS EC2 which runs AMI and only support YUM or RPM, what the the ...
0
votes
0answers
50 views

yum remove package freeze while erasing

I'm using CentOS 6.5 on a server. Some time ago, I installed from a third-party repository Newscoop CMS. Now I'm not able to remove it. yum remove newscoop Freeze at the "erasing" point, shutting ...
0
votes
1answer
147 views

How to build from source on CentOS 5.9?

I'm building iptraf-ng on CentOS 5.9 and running into the following errors: src/packet.c: In function ‘packet_process’: src/packet.c:322: error: ‘ETH_P_QINQ1’ undeclared (first use in this function) ...
1
vote
1answer
44 views

Can't install Facter 1.7.0 on Amazon Linux using PuppetLabs Yum repositories

I've installed Puppet using the setup guide but it seems I'm only able to install Puppet packages from the amzn-* repos, even though I have installed the PuppetLabs EL6 Yum repository using the ...
0
votes
1answer
64 views

How To Remove Non-Existent/Phantom Yum Repository?

TL;DR... I'm replacing public yum repos with an internal one and I can't figure out why two public ones continue to display in "yum repolist" when they don't appear in the normal config files. I've ...